%{?nodejs_find_provides_and_requires}

%global enable_tests 1

Name:       nodejs-parseurl
Version:    1.3.2
Release:    1%{?dist}
Summary:    Parse a URL with memoization
License:    MIT
Group:      System Environment/Libraries
URL:        https://github.com/expressjs/parseurl
Source0:    http://registry.npmjs.org/parseurl/-/parseurl-%{version}.tgz
# Source1 is generated by running Source10, which pulls from the upstream
# version control repository.
Source1:    tests-%{version}.tar.bz2
Source10:   dl-tests.sh

BuildArch:  noarch
%if 0%{?fedora} >= 19
ExclusiveArch: %{nodejs_arches} noarch
%else
ExclusiveArch: %{ix86} x86_64 %{arm} noarch
%endif

BuildRequires:  nodejs-packaging

%description
%{summary}.


%prep
%setup -q -n package
# setup the tests
%autosetup -T -D -a 1 -n package


%build
#nothing to do


%install
mkdir -p %{buildroot}%{nodejs_sitelib}/parseurl
cp -pr package.json index.js \
    %{buildroot}%{nodejs_sitelib}/parseurl

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
%{_bindir}/mocha -R spec --check-leaks --bail
%else
%{_bindir}/echo -e "\e[101m -=#=- Tests disabled -=#=- \e[0m"
%endif


%files
%doc *.md
%license LICENSE
%{nodejs_sitelib}/parseurl


%changelog
* Mon Sep 25 2017 Jared Smith <jsmith@fedoraproject.org> - 1.3.2-1
- Update to upstream 1.3.2 release

* Wed Nov 04 2015 Jared Smith <jsmith@fedoraproject.org> - 1.3.0-1
- Update to upstream 1.3.0 release

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Apr 19 2014 Jamie Nguyen <jamielinux@fedoraproject.org> - 1.0.1-1
- initial package
